<?php
/**
 * AbstractAdminMenu
 * Version    : 1.1.0
 * Author     : Green Sheep
 * Created    : May 2, 2017
 * Modified   :
 * License    : GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 */
namespace plugins\wpv;

abstract class AbstractAdminMenu
{
    public function __construct()
    {
        if (!current_user_can('manage_options')) {
            wp_die(__('You do not have sufficient permissions to access this page.'));
        }

        // 本プラグインの設定画面ではハートビートを行わない
        wp_deregister_script('heartbeat');

        $this->renderPage();
    }

    abstract protected function renderPage();
}
